Invalid argument supplied for foreach

شاید شما هم در هنگام یا بعد از نصب بعضی افزونه های وردپرس با هشدار Invalid argument supplied for foreach روبرو می شوید و دیگر نمی توانید آن را حل کنید برای حل این مشکل ۲ راه وجود دارد و در هر حال این ۲ روش مشکل شما را حل خواهد کرد براحتی میتوانید از هر دو روش استفاده کنید و مطمعا باشید که مشکل شما برطرف خواهد شد. پس بریم سراغ آموزشمون

jarc100 phpxuvZYv 1024x646 - رفع 100% مشکل () Invalid argument supplied for foreach در وردپرس
حل کامل ارور Invalid argument supplied for foreach در وردپرس با 2 روش

روش اول

  1. بعد مشاهده این ارور کار های زیر رو بر ترتیب انجام بدید :
  2. ابتدا شما افزونه های وردپرس که فعال هستند رو را به صورت کامل غیر فعال کنید
  3. سویچ کنید به قالب پیشفرض وردپرس
  4. حالا افزونه ها رو از بالا شروع کنید و فعالشون کنید و بعد فعال کردن هر افزونه حتما ارور رو چک کنید تا ببینید برطرف شده یا نه.

اگر برطرف شد مطمهنا مشکل از افزونه ای هست که آخر از همه فعالش کردید و براحتی میتوانید افزونه مورد نظر رو غیر فعال کنید و افزونه های مابقی رو فعال کنین و همچنین میتوانید به قالب اصلی سایتتون برگردید.

اگر برطرف نشد پس مشکل از افزونه ها و قالب نیست و باید با روش دوم پیش برید.

بیشتر بدانید : برای فعال و غیر فعال کردن افزونه فقط کافیه که توی پیشخوان وردپرس به منوی افزونه ها و افزونه های نصب شده برید.

روش دوم

اگر مشکل شما با روش اول حل نشد نگران نباشید.ارور () Invalid argument supplied for foreach در هنگامی رخ می دهد که افزونه ای که نصب کردید یا وردپرس شما بروزرسانی نشده است و اول از همه تمام قالب ها و افزونه های وردپرس حتی آنهایی که استفاده نمی کنید و غیر فعال هستند رو آپدیت یا بروزرسانی بکنید و وردپرس رو هم به نسخه آخر بروزرسانی کنید ۱۰۰% مشکل شما حل میشود.

بیشتر بدانید : برای بروزرسانی وردپرس و افزونه ها فقط شما کافیه به منو پیشخوان برید که اولین منوی وردپرس هست، و بر روی گزینه بروزرسانی ها کلیک کنید تا صفحه بروزرسانی فزونه ها و قالب ها و همچنین وردپرس براتون باز بشه.

امیدوارم که مشکل شما حل شده باشه.

مطلب پیشنهادی :   بزرگ نمایی عکس در وردپرس با افزونه WP Image Zoom

آپدیت تاریخ 98/7/15 : دقت کنید در بروزرسانی های اخیر وردپرس مخصوصا در اواخر سال 2019، به اجبار باید شما ورژن PHP هاست و سایت رو به نسخه های جدید برزورسانی کنید و توصیه میشه ورژن PHP  رو به نسخه 7.2 بروزرسانی کنید.

دیدگاهتان را بنویسید

مطالب داغ